Bug 963824 - bloated binaries
bloated binaries
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mongodb (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Skalický
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 11:41 EDT by Bill Nottingham
Modified: 2015-06-05 06:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-05 06:20:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2013-05-16 11:41:39 EDT
Description of problem:

While space usage isn't the hugest concern:

]$ ls -l
total 79188
-rwxr-xr-x. 1 notting notting 6239840 May 16 11:22 bsondump
-rwxr-xr-x. 1 notting notting 2127616 May 16 11:22 mongo
-rwxr-xr-x. 1 notting notting 6301528 May 16 11:22 mongod
-rwxr-xr-x. 1 notting notting 6272656 May 16 11:21 mongodump
-rwxr-xr-x. 1 notting notting 6252200 May 16 11:21 mongoexport
-rwxr-xr-x. 1 notting notting 6264480 May 16 11:22 mongofiles
-rwxr-xr-x. 1 notting notting 6256216 May 16 11:23 mongoimport
-rwxr-xr-x. 1 notting notting 6239904 May 16 11:22 mongooplog
-rwxr-xr-x. 1 notting notting 6239840 May 16 11:21 mongoperf
-rwxr-xr-x. 1 notting notting 6272720 May 16 11:21 mongorestore
-rwxr-xr-x. 1 notting notting 3786272 May 16 11:23 mongos
-rwxr-xr-x. 1 notting notting 6235864 May 16 11:20 mongosniff
-rwxr-xr-x. 1 notting notting 6276752 May 16 11:23 mongostat
-rwxr-xr-x. 1 notting notting 6243952 May 16 11:21 mongotop

Surely there is code here that can be split out into a common package?

Version-Release number of selected component (if applicable):

2.2.4-2.fc19

How reproducible:

100%

Steps to Reproduce:
1. "why is the main mongodb package 30MB"
Comment 2 Fedora End Of Life 2015-01-09 13:08:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Jaroslav Reznik 2015-03-03 09:56:13 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 4 Matthias Saou 2015-04-08 03:59:58 EDT
Note that with 3.0.0 this has only gotten worse :

-rwxr-xr-x. 1 root root  4475400 Mar 10 17:01 /usr/bin/mongo
-rwxr-xr-x. 1 root root 13699968 Mar 10 17:01 /usr/bin/mongod
-rwxr-xr-x. 1 root root 13461144 Mar 10 17:01 /usr/bin/mongoperf
-rwxr-xr-x. 1 root root  8967664 Mar 10 17:01 /usr/bin/mongos
-rwxr-xr-x. 1 root root 13514496 Mar 10 17:01 /usr/bin/mongosniff

Upstream has split out mongo-tools (dump, export, import, etc.), so those are currently missing from Fedora. And they all have been rewritten in Go... with the upstream mongodb-org-tools-3.0.1-1.el7.x86_64.rpm being 32MB (and ~110MB once installed) :-(
Comment 5 Marek Skalický 2015-04-08 08:30:22 EDT
Fedora 22 is going to have beta release, so it is late for this change and it is not so needed. Moving to rawhide.

In mongodb 3.0 in fedora rawhide mongo tools are split out. I plan to package mongo-tools in next days...

Size of these tools should be dealt with upstream - https://jira.mongodb.org/browse/TOOLS
Comment 6 Marek Skalický 2015-06-05 06:20:46 EDT
mongo-tools in Fedora have 13MB (~49MB installed).

Any problems with size of these tools should be dealt with upstream.

So closing as a NOTABUG. Feel free to reopen...

Note You need to log in before you can comment on or make changes to this bug.